<?php
/**
 * 
 * @file adminmenu_edit.php
 * @copyright (c) 2005 - 2011 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once('class_adminmenu.php');

$url = 'mod_adminmenu/adminmenu_edit.php';
Common::checkAdminFileAuth($url); //check file authority
$clComAdmin = new ComAdminmenu();

$act = kGet('act');
switch ($act) {
    case 'save_add':
        $clComAdmin -> addRecords();
        break;
    case 'save_edit':
        $clComAdmin -> editRecords();
        break;

    case 'copy':
        $clComAdmin -> copyRecords();
        break;

    case 'add':
    case 'edit':
    default :
        $clComAdmin -> layout_adminmenu_edit();
        break;
} 

?>